# Convention Tags

## Setup

{% tabs %}
{% tab title="Gradle" %}

```gradle
repositories {
    mavenCentral()
}

dependencies {
    modImplementation 'dev.creoii.creoapi:creo-convention-tags:<VERSION>'
}
```

{% endtab %}

{% tab title="Kotlin" %}

```gradle
repositories {
    mavenCentral()
}

dependencies {
    modImplementation("dev.creoii.creoapi:creo-convention-tags:<VERSION>")
}
```

{% endtab %}
{% endtabs %}

## Block Tags

**ravager\_breakable:** Blocks that can be broken by a Ravager.\
**beacon\_beam\_ignores:** Blocks that are ignored by a Beacon's beam.\
**signal\_fire\_base\_blocks:** Blocks that cause Campfires to emit signal fire smoke when placed underneath.\
**keeps\_coral\_alive:** Blocks that keep Coral blocks alive when touching.\
**keeps\_farmland\_moist:** Blocks that keep Farmland moist when touching.\
**anvil\_softeners:** Blocks that won't damage Anvils when landed upon.\
**cocoa\_beans\_plantable\_on:** Blocks that Cocoa Beans can be placed and grown on.\
**cactus\_plantable\_on:** Blocks that Cacti can be placed and grown on.\
**nether\_wart\_plantable\_on:** Blocks that Nether Wart can be placed and grown on.\
**conduit\_frame\_base\_blocks:** Blocks which activate Conduits when placed correctly.\
**can\_drip\_through:** Blocks that Dripstone can drip through.\
**eaten\_by\_sheep:** Blocks that are eaten by Sheep, like Short Grass.\
**projectiles\_ignore:** Blocks which projectiles will ignore collision with.\
**invalid\_for\_shulker\_teleport:** Blocks that Shulkers cannot teleport to.\
**shears\_very\_efficient:** Blocks which are mined very quickly by Shears.\
**shears\_less\_efficient:** Blocks which are mined quickly by Shears.\
**weather\_render\_ignores:** Blocks which will not stop weather rendering below them.

## Item Tags

**unframeable:** Items which cannot be placed in an Item Frame.\
**tripwire\_ignores:** Items which do not activate Tripwires when on the ground.\
**hopper\_ignores:** Items which cannot be moved by Hoppers.\
**dolphin\_ignores:** Items which cannot be played with by Dolphins.\
**fox\_ignores:** Items which cannot be picked up by Foxes.\
**duplicates\_allays:** Items which duplicate Allays.\
**disables\_shields:** Items which disable Shields on critical hits.\
**enchanting\_fuel:** Items which can be used to fuel enchanting.\
**brewing\_fuel:** Items which can be used to fuel brewing.\
**repairs\_iron\_golems:** Items which repair damaged Iron Golems.\
**respawn\_anchor\_charges:** Items which can be used to charge a Respawn Anchor.\
**fuels\_furnace\_minecarts:** Items which can be used to fuel a Furnace Minecart.\
**blocks\_enderman\_stare:** Items that do not anger Endermen when stared at and worn.\
**repairs\_leather:** Items which can be used to repair leather equipment.\
**repairs\_wood:** Items which can be used to repair wooden equipment.\
**repairs\_chainmail:** Items which can be used to repair chainmail equipment.\
**repairs\_stone:** Items which can be used to repair stone equipment.\
**repairs\_iron:** Items which can be used to repair iron equipment.\
**repairs\_gold:** Items which can be used to repair gold equipment.\
**repairs\_diamond:** Items which can be used to repair diamond equipment.\
**repairs\_netherite:** Items which can be used to repair netherite equipment.\
**repairs\_turtle:** Items which can be used to repair Turtle Helmets.

## Entity Type Tags

**zoglin\_ignores:** Entities that are ignored by Zoglins.\
**avoids\_traps:** Entities that do not activate traps such as Pressure Plates.\
**projectiles\_ignore:** Entities which projectiles ignore collision with.\
**collidable:** Entities which can be stood on like Boats & Shulkers.\
**warden\_ignores:** Entities which are ignored by the Warden.\
**scares\_creepers:** Entities which Creepers run away from.\
**tripwire\_ignores:** Entities which do not activate Tripwires.\
**fishing\_rod\_cannot\_hook:** Entities which cannot be hooked by a Fishing Rod.

## Enchantment Tags

**Note:** To check whether a Tag contains an Enchantment, see the following example:

```java
world.getRegistryManager().getRegistryManager().get(RegistryKeys.ENCHANTMENT).getEntry(Enchantments.UNBREAKING).isIn(CreoEnchantmentTags.TREASURE);
```

The above example will return **true** if the Unbreaking enchantment is listed in the **'treasure'** enchantment tag.

***

**cursed:** Enchantments that are considered Curses.\
**treasure:** Enchantments that are considered Treasures.\
**not\_offered\_by\_librarians:** Enchantments that will not be offered by Librarian Villagers.\
**not\_randomly\_selectable:** Enchantments that will not be picked during random selection for Enchanted Books.\
**grindstone\_ignores:** Enchantments that cannot be removed by Grindstones.

## Status Effect Tags

**Note:** To check whether a Tag contains an Status Effect, see the following example:

```java
world.getRegistryManager().get(RegistryKeys.STATUS_EFFECT).getEntry(StatusEffects.SLOWNESS).isIn(CreoStatusEffectTags.MILK_DOES_NOT_CURE);
```

The above example will return **true** if the Slowness status effect is listed in the **'milk\_does\_not\_cure'** status effect tag.

***

**milk\_does\_not\_cure:** Status Effects which cannot be cured by Milk.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.creoii.dev/creo-api/packages/convention-tags.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
